**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/21.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-action-details.md

# Retrieve Workflow Task Action Details



Retrieve the details of a specific object workflow task action. The response lists the details of the task action, including all fields required to initiate the action.

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
| `{task_action}` | The name of the task action retrieved from [Retrieve Workflow Task Actions](/vault-api/api-reference/21.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-actions). |
</FieldTable>

## Query Parameters {#query-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.1/objects/objectworkflows/tasks/501/actions/complete

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "task_impact_assessment1__c",
       "label": "Impact Assessment",
       "type": "task",
       "description": "A simple task to collect information regarding impacts.",
       "controls": [
           {
               "label": "Instruction",
               "type": "instructions",
               "instructions": "Complete this task to indicate the outcome of the Impact Assessment. All areas of impact should be captured before proceeding."
           },
           {
               "label": "Verdict",
               "type": "verdict",
               "verdict": "verdict_public_key__c",
               "reason": "reason__c",
               "capacity": "capacity__c",
               "verdicts": [
                   {
                       "name": "verdict_impact_assessment_complete__c",
                       "label": "Proceed with Change Plan",
                       "prompts": [],
                       "capacities": {
                           "label": "Capacity",
                           "required": true,
                           "prompts": [
                               {
                                   "name": "capacity_0_0__c",
                                   "label": "Impact Assessor"
                               }
                           ]
                       }
                   }
               ]
           }
       ]
   }
}

```
</CodeExample>

---

**Previous:** [Retrieve Workflow Task Actions](/vault-api/api-reference/21.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-actions)  
**Next:** [Initiate Workflow Task Action](/vault-api/api-reference/21.1/object-lifecycle-workflows/workflow-tasks/initiate-workflow-task-action)